[BUGFIX] Required extensions are not installable
authorGeorg Ringer <georg.ringer@gmail.com>
Thu, 13 Sep 2012 05:39:47 +0000 (07:39 +0200)
committerSteffen Gebert <steffen.gebert@typo3.org>
Sat, 22 Sep 2012 21:29:19 +0000 (23:29 +0200)
commit65fe560bc02698ddebcd48c2d4d346ae61ba81f3
tree13b19bb96ccd31e3c61c15eb8a1132b9cfd721ed
parent665985db392371b3a91ed0486bd2af8d28ff1e92
[BUGFIX] Required extensions are not installable

Required extensions can't be installed or deinstalled,
therefore the link is not needed. Additionally system
extensions should not be removable.

Change-Id: Id99abd8a4b434d1a769fa20bd987619b0248f636
Fixes: #40882
Releases: 6.0
Reviewed-on: http://review.typo3.org/14567
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
typo3/sysext/extensionmanager/Classes/ViewHelpers/RemoveExtensionViewHelper.php
typo3/sysext/extensionmanager/Classes/ViewHelpers/ToggleExtensionInstallationStateViewHelper.php